---
search:
  tags:
    - Topics
    - GET
seo:
  description: >-
    Retrieve a topic. Reference for the GET /topics/{id} endpoint in the
    BillionSend API.
sidebar:
  label: Retrieve a topic
  badge: GET
title: Retrieve a topic
type: openapi-operation
---
`GET /topics/{id}`

**Responses**

- `200` — Topic
- `401` — Missing, malformed, unknown or revoked API key
- `404` — Not found
- `429` — Over the rate limit (rate\_limit\_exceeded, with Retry-After)

Response example, 200:

```json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "description": "string",
  "default_subscription": "opt_in",
  "visibility": "private",
  "domain_id": "b2f7354f-b74d-4332-ab10-1a5e3c56466c",
  "created_at": "string"
}
```
